### File

`packages/ecl/components/ecl-page-header/ecl-page-header.component.ts`

### Description

ECL Page Header component, wraps header content and handles background images and breadcrumb styling.

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

selector | `ecl-page-header`
imports | `NgTemplateOutlet`
styles | `:host { display: block; }`
templateUrl | `./ecl-page-header.component.html`

### Index

###### Properties
eclBackgroundPicture eclBreadcrumbComponent
###### Methods
getCssClasses
###### Inputs
class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses hasPicture

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
CSS classes applied to the host. Adds 'ecl-page-header--image' if a background picture exists

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

eclBackgroundPicture
Type : `EclPageHeaderBackgroundPictureDirective`
Decorators : `@ContentChild(EclPageHeaderBackgroundPictureDirective)`
Reference to the background picture directive, if present.

eclBreadcrumbComponent
Type : `EclBreadcrumbComponent`
Decorators : `@ContentChild(EclBreadcrumbComponent)`
Reference to the ECL breadcrumb inside the header.

### Accessors

cssClasses
get `cssClasses()`
CSS classes applied to the host. Adds 'ecl-page-header--image' if a background picture exists Returns : `string`

hasPicture
get `hasPicture()`
True if a background picture exists. Returns : `boolean`

# results matching ""

# No results matching ""